Skip to Content
veriom

Update group dependency

PATCH
/v1/workspaces/{workspace_id}/group-dependencies/{dependency_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
dependency_id*Dependency Id
Formatuuid

Request Body

application/json
  1. body
crosses_trust_boundary?boolean|null
data_classification?|null
relationship_kind?|null
state?|null

Response Body

Successful Response

application/json
  1. response
crosses_trust_boundary*Crosses Trust Boundary
data_classification*string|null
evidence_ids*array<string>
id*Id
Formatuuid
relationship_kind*Relationship Kind
source_group_id*Source Group Id
Formatuuid
state*State
target_group_id*Target Group Id
Formatuuid
Example Request
curl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/group-dependencies/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "crosses_trust_boundary": true,  "data_classification": "string",  "evidence_ids": [    "string"  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "relationship_kind": "string",  "source_group_id": "58d74375-43ee-4b76-86bc-674c69391672",  "state": "string",  "target_group_id": "efc47beb-e46d-465e-921d-3e02578ccf22"}